commit a006455bc441f7b67119bad9b90ed094b5db7c40
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Dec 29 19:49:20 2016 +0100

    macosx: Fix parsing of item information
    
    All items need to be passed to local tree items within one lock.
    This code is already rewritten in vlc.git branch.
    
    fixes #17765

commit 3d79a0e6f1f037f0085c9221508333c3dd7c877b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 16:30:38 2016 +0100

    gui: qt: Fix build with Qt4
    
    (cherry picked from commit d9961de0126a54ee549107e21f0a9bb5f1a532b3)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9da06e303204c3eac476dfacd8555da671a9c9af
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 11:32:47 2016 +0100

    qt: preferences: Always use a combobox for resume playback
    
    Using a checkbox would force the value back to 0/1 when saving the
    simple preferences, while it can be set to 2 from advanced preferences.
    This also moves this setting out of the Privacy/Network interactions
    category, as it doesn't belong there
    
    Fix #17061
    
    (cherry picked from commit 7d5370679e7c2af711d2e7a2431770a5e9bde569)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b43d090274b063f326107c82133a8b75606febd9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 10:46:46 2016 +0100

    Update PO files for 2.2.5

commit a64ebd0d4f904e6bbcfb1857f95bdb2ec5ef1710
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 29 10:03:02 2016 +0100

    Update NEWS for 2.2.5

commit 4ff7fe9ff8b8894dcaa8a9e2b297fb83dbd28e78
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 27 17:28:58 2016 +0100

    directsound: Fix volume range
    
    Setting an integer limit on a float will yield UB when trying to clamp
    the volume within its given range.
    Fix #17659
    
    (cherry picked from commit 2068e2f6f69aef3f950757644e95ed9d78f48ab9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 806efd462e3a763052035a8f3ba3cf326274dd74
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 29 09:35:24 2016 +0100

    main_interface_win32: Display the taskbar buttons upon creation if required
    
    fix #6868
    
    (cherry picked from commit b7a2ed7c23ba555797ca284e1a8425a7387e4a62)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 358046310ca2d43364c4a4b4742c976d168ef5f4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 09:29:57 2016 +0100

    core/picture: add null check
    
    (cherry picked from commit 88a6650274e2a46f89427fffee5a91a1060d0d92)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d4e7f86f3935e5a6db0ba4ede5f5f8d54d00a38
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Dec 29 09:29:22 2016 +0100

    core/picture: use visible size in picture_Export
    
    Fix #16789
    
    (cherry picked from commit 04335a2fdf70cd33995afe081c0cf004ef39d6cd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2586b1f22df5755cf56102b45e92a1b4ffa27a2f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 17:16:37 2016 +0100

    main_interface_win32: Use the video as thumbnail image
    
    Or the full interface when no video is playing
    
    (cherry picked from commit 345754bdf1f0a17544106f11321fc2043f45a4f8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 44e33d774da1bf3007a81ac1df8a182c7ac1ab45
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 16:58:31 2016 +0100

    main_interface_win32: Fix play/pause button not being updated
    
    The buttons are created upon the main intf winID, so we need to update
    the buttons with the same winID as parameter
    
    (cherry picked from commit 0f9a6c411211a69210f4e34882ac59c749f1c29b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 248afeb6e6943ac9fde7cd9282c3e8c70b6a9449
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 16:42:20 2016 +0100

    main_interface: Don't silently ignore failure to register a message
    
    (cherry picked from commit 691dbca5616b9140e7f5f3907c389dba90f55686)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8fac54469556b42206c6d5447c6aa14e07852e01
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 28 16:41:23 2016 +0100

    main_interface_win32: Fix missing taskbar icons
    
    Fix #14003
    
    (cherry picked from commit 494d36c4102dd9c55af868494daceb2bd18180c0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7722017e2e5cc750abc853e16aa1f0b7d6654bbe
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 27 19:02:34 2016 +0100

    qt: controller: Only react to external fullscreen changes
    
    And assume the playlist's "fullscreen" variable to be the reference
    value.
    Fix #17054
    
    (cherry picked from commit ba9689033cd471536efb0d030e08f4f13beb6bdb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c6b757c112ce99e3ea851a22bbb6396071cac928
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 27 18:34:04 2016 +0100

    qt: controller: Don't connect the controller and MIM in a loop
    
    This ends up connecting the 2 way too many times
    
    (cherry picked from commit eea941425cc9a463841042627bf9d52ef1979a1c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f271abec3b718a1b9c67d13b8036cf81a1fbe7e4
Author: Josef Andersson <josef.andersson@fripost.org>
Date:   Mon Nov 28 20:41:10 2016 +0100

    Corrected Swedish desktop name to be in line with other Swedish FOSS translations
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b52e4833e651c40384b4871aec0104955e8fdb6b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9745e9d0f2d0749afc971dc311cacc4a9acdcab6
Author: Filip Roséen <filip@atch.se>
Date:   Wed Dec 14 15:51:06 2016 +0100

    demux/xiph_metadata: fix overflow/leaks in vorbis_ParseComment
    
    The previous implementation would suffer from a read overflow due to a
    mismatch between the length of psz_comment and comment_size (because
    of the usage of strndup).
    
    These changes make sure that:
    
     - psz_comment always refer to a buffer of length comment_size
     - we do not leak memory on "continues" when encountering unexpected
       data
    
    fixes #17776
    fixes #17779
    
    Signed-off-by: Francois Cartegnie <fcvlcdev@free.fr>
    (cherry picked from commit e8dde09cac172b5ae4be9266575b6615e315b801)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c48acd16019c5fe9cb97e8bfd4cacb8a3a01dd78
Author: Gilles Sabourin <gilles.sabourin@free.fr>
Date:   Sat Dec 17 15:38:08 2016 +0100

    Qt: Do not use Q_DECL_OVERRIDE macro with qt4
    
            Warning: this patch should only be applied to 2.2 maintenance branch
            since Q_DECL_OVERRIDE macro was introduced in Qt 5.0
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit d2682f67ba2ff21f62b1489c76b5056758ab5836
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Dec 16 15:52:03 2016 +0100

    codec: scte27: fix reading YCrCb into YCbCr (fix #17787)

commit 63a97e4d6eba8849debc0851e7c7a5699aebc336
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 15 17:25:14 2016 +0100

    Qt: rate limit EPG updates
    
    As we don't have discrete updates due to use of input variable
    for events, we're updating far too many times on EPG tables updates,
    reprocessing the whole EPG set. This is mainly the performance
    issue with large EPG updates.
    
    Also no longer updates internal event storage when hidden.
    
    backport of ba78a1fe00edbbb34502704347788f3455faccf4

commit 63a97cc44423db8f8af14fbad322c670b3b7a83a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 7 18:28:05 2016 +0100

    contribs: cddb requires gettext
    
    (cherry picked from commit 0f43bb061a9c28b02fc7638d3f54d64f4b3e0690)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 431e9c514170cfc8f1941a4531108a9b7654e1e0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 14 18:43:34 2016 +0100

    contrib: dshow: Fetch d2d headers from our server

commit 06bdc7a67167b27d3db2dad4e4b30e8b1b7675f8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 14 11:25:12 2016 +0100

    vimeo.lua: update for website changes
    
    (cherry picked from commit 73d3b86d7451aae6828940cdaf64a9a282ce8dd4)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 1f43ec0be9c81c8309efecaaef03beb5240a1a04
Author: Filip Roséen <filip@atch.se>
Date:   Thu Dec 8 11:14:19 2016 +0100

    playlist/preparser: do not "download" local art
    
    The previous implementation would consider FILE:///art.jpg to be a
    remote resources, meaning that it would try to "download" the file and
    put it in the cache.
    
    Given that the scheme part of an URI is case-insensitive (as stated in
    RFC3986 3.1.), these changes make sure that we treat the affected
    schemes in the way which was intended.
    
    fixes #17759
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f1195781c0fd53d14cda88bc08c0ea5ed464dcd0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d2d450853e95a19f67b221fa22a349b4da6fa59d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 7 19:45:38 2016 +0100

    codec: opus: check comment size overflow
    
    (cherry picked from commit d72019e145262567f0fc3168eeaa757c5e54f6ae)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 98166a88112275ce83d6d85a12bd9d9df9cf78ca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 7 15:23:52 2016 +0100

    NEWS: mention the lpcm issue

commit d75cb6ebc89f89f91ee940c55fc8345aa1f7a35d
Author: Filip Roséen <filip@atch.se>
Date:   Wed Dec 7 15:19:09 2016 +0100

    lpcm: validate block_nb_frames in DVD/LPCM cases
    
    Fix heap overflow due to invalid header data
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 8447e3d87b65c36d57a2c55d4afb717bb1945321)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9bc7799573de778458778a24862883f568eba74f
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 7 13:38:30 2016 +0100

    contribs: projectM: Fix build C++11 build

commit 1ec161336a07103a3291792fb7512b2c5e698ec3
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 7 11:41:31 2016 +0100

    contribs: Fix x265 build with recent GCC

commit 2750a174c3679dcdfa031fe6a0f338b11489924b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Dec 7 10:45:32 2016 +0100

    contribs: qt4: Fix QAccessibleTable::unselectColumn logic & build

commit 4ca45a0abe701068a701b3c9f8ac4e00775d33a8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 6 17:18:43 2016 +0100

    Update NEWS

commit fd409b86d82f27cd6626bc22730b87f9d57407bb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 6 16:30:36 2016 +0100

    Contribs: fix libavcodec xwd crash
    
    Close #17418

commit 07283a71bf29d324c9b2b7fc34f71e4de5939397
Author: Filip Roséen <filip@atch.se>
Date:   Mon Oct 31 01:13:31 2016 +0100

    demux/aiff: integer-overflow leads to infinite loop
    
    Given that the previous implementation stored the size of the current
    chunk-payload in an uint32_t, it would potentially overflow when
    adding the size of the chunk header and conditional padding.
    
    These changes fixes the previously described by storing the
    chunk-total size in a larger integer type, as well as making sure that
    we do not pass a too big of a value to vlc_stream_Read (that would
    cause problems on 32bit platforms).
    
    Fixes #17562
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6a08e8e3b1cdfa7193d48cc842f1ae7e3fa0593e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fad42291258b6916479a7cb343f5483ea20f236c
Author: Filip Roséen <filip@atch.se>
Date:   Tue Dec 6 09:02:40 2016 +0100

    demux/xiph_metadata: prevent integer overflow (#17593)
    
    The previous implementation assumed that a 32-bit integer would fit
    in an `int`, something which is not guaranteed and might cause an
    integer overflow.
    
    These changes changes the declared type of the relevant variables, by
    also making a slight amount of clean-up on the affected paths, such
    as:
    
      - merging declaration and initialization
      - fixing redundant if-conditions
    
    fixes #17593
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f931a00f6a1ee581fec66c59964bf0e95a4b7411)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9fe413ea1cc1caef546b8413c4eb077cad34dab2
Author: Filip Roséen <filip@atch.se>
Date:   Mon Dec 5 13:52:54 2016 +0100

    demux/xiph_metadata: prevent null-pointer dereference
    
    modules/demux/flac.c invokes vorbis_ParseComment with NULL as argument
    for both i_seekpoint and ppp_seekpoint since the demuxer lacks support
    for these entities.
    
    These changes simply make sure that we do not treat the two parameters
    as valid, if they are actually NULL.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 335114f7742682dbfebcea2437d6f18de25e4405
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 2 11:30:14 2016 +0100

    soundcloud.lua: update API magic
    
    (cherry picked from commit f7686767fc7f135d45e294e7ff2409d65240145a)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit b899529f9966c5df576ac101cbaf72c0319c2180
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 9 01:29:40 2016 +0100

    lua/http: remove bad conversion from URL to file path of VLM input
    
    The conversion is pointless, limiting, unsafe, error-prone and indeed
    buggy as it's done in a naive way oblivious of Windows file URL schemes.
    
    Should fix #14842
    
    (cherry picked from commit 8cbc5caea9fa95411fb416ee53dee629c262c77c)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 27468f02e3fd6741c8de5dad314cd75e82c16f45
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Mon Oct 31 20:51:59 2016 +0100

    appletrailers.lua: Fix script for website changes
    
    Fix the Script to work again with the changed
    Apple trailers website.
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>
    (cherry picked from commit dafab63ab29c507ebf5a0b756231371add948d4f)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 34d41f7d0a336022d96115ce95d61291a6bd5bff
Author: Filip Roséen <filip@atch.se>
Date:   Wed Oct 26 16:18:17 2016 +0200

    lua/intf/cli: fix invalid concatenation of empty string
    
    If an item lacks a name the value of "item.name" is nil, meaning that
    it is an error trying to use it during concatenation.
    
    These changes simply falls back to "item.path" in case the mentioned
    metadata is missing.
    
    fixes #17545
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>
    (cherry picked from commit 1d1e6a42cc64ce190c67a6c62c636f695c43d26d)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 1ce9e2413ddb6d5f62bcc80a5254814f62ca794d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Oct 25 07:27:48 2016 +0200

    youtube.lua: fix description parsing
    
    (cherry picked from commit 1d9366011209e670fcf8b1fb15d084d901594108)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 2c94606bb3571efbb888a4769ace22abd65b2b35
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 24 15:37:38 2016 +0200

    dailymotion.lua: update for website changes
    
    (cherry picked from commit 9475988ca43181b8dc2a5ff4308e1e618b601790)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 71987e3092b600a2e1189bbdf046f82e8afd292c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Oct 24 08:10:26 2016 +0200

    youtube.lua: improve interoperability when calling API
    
    (cherry picked from commit 503e8753f0ff894dae5a037b83f4a34067a884a4)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit a27ae000c42c8f1a2e03a809034bdbdfa17e223c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Feb 2 03:21:12 2016 +0100

    vimeo.lua: fix video quality parsing
    
    (cherry picked from commit 7ccee74013b8a9274185d5ef06df77b57d1c5233)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit a9c515c78dac7635c4d01cecaf93aa6bfaea31ea
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Feb 2 03:19:34 2016 +0100

    vimeo.lua: update to website changes
    
    (cherry picked from commit 9c5430dcfd7541818b7f067e4034f8c2a0e3094c)
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 4b1c65d5da017d807efea415fb3ab069945da75d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 4 14:36:29 2016 +0200

    VLSub: don't pretend to support HTTP 1.1
    
    (cherry picked from commit 5c26ad66d4b3b1d3de13ae778161f9ddde25cd59)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 4589965edd5fe8c093d185c6663be622936816a1
Author: Konstantin Pavlov <thresh@videolan.org>
Date:   Sat Dec 3 13:01:14 2016 +0300

    Changed LibVNCServer fetch URL to the VideoLAN server.
    
    Some SF mirrors are serving the file with incorrect checksum:
    https://mailman.videolan.org/pipermail/vlc-devel/2016-November/110638.html

commit cf98cb2238b0f31f57830f6623f5a79d318b2ebc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 21 23:24:53 2016 +0200

    dvb: downgrade error messages
    
    The old DVB plugin generate syntax error messages on valid MRLs that
    the normal DTV plugin just fails to open (e.g. due to missing tuner).
    This has proven very confusing.
    
    (cherry picked from commit 2ffa685a93a4348baf458a22a2470f8b5db3c63b)

commit 59259c8d49ea18dfc1dac546124d1e5d10da9740
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 15:13:29 2016 +0100

    packetizer: h264: fix invalid dereference (fix #17585)

commit 6ab6b75910e9bb4d8895ab96510f6f94df2774fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 14:52:52 2016 +0100

    demux: mp4: fix uninitialized vars on failure handling
    
    cherry-picked from 0456bcdc30d01bc2918f62a413dd4f472a94dee1

commit 96ca420e294a40f86716d09d6c8ccec39a80dfe5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 12:24:46 2016 +0100

    demux: mp4: missing return in GetPTSDelta

commit bfe14f47b1814a364b201a7b6506b21de1cdda58
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Nov 4 19:51:53 2016 +0100

    demux: mp4: check for overflows in PeekBoxHeader
    
    refs #17584
    cherry-picked from 8466176518508a3268ffe1272d998bcb2340e603

commit 0bd722bb26894cc93bec908775dd42b187eddde7
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Nov 10 10:59:51 2016 +0100

    demux: mp4: absolute pos is unsigned
    
    backported from ba3a2185e5b13b5587d7e8feeeb4e8b25bf1dae5

commit a88132b34ebb1e09cfe7355125270012e7a85f8d
Author: Filip Roséen <filip@atch.se>
Date:   Sun Oct 30 23:27:36 2016 +0100

    demux/nsv: invalid NSVf header size leads to infinite loop (fixes #17563)
    
    According to the specification of nsv, a file header size of 0 (and
    0xFFFFFFFF) is invalid; these changes prevents an infinite loop if the
    size is specified as the former, while also making sure that we do not
    try to parse files containing the latter.
    
     - http://multimedia.cx/nsv-format.txt
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 87cf24c252569d13335cee006ae59c1fe0718705)
    
    Conflicts:
            modules/demux/nsv.c

commit a9dd17b9f49312c919851ce012a4a2925262d9cd
Author: Filip Roséen <filip@atch.se>
Date:   Tue Nov 1 02:33:03 2016 +0100

    demux/avi: do not call FromACP with NULL (fixes #17581)
    
    FromACP is used to convert a c-style string from one charset to the
    other, as such it does not make sense to call the function with NULL
    (especially given that NULL is not a valid input for the function).
    
    These changes fixes the checks to see whether or not the function is
    applicable or not by properly checking the argument that would-be
    passed (instead of just the object that contains it).
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit e082cac10bfd47e78f8e7096351323f3040348a8)

commit c6afb1a6bd64669fc2f09971a7e35a8566d7ba21
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 1 16:27:30 2016 +0200

    xiph: rewrite ParseFlacPicture() w/o integer overflows (fixes #17592)
    
    (cherry picked from commit d076af4e46cdb25d2b33494fa57d444ceb591ae3)

commit 52559dbed8c3518bd1d39458d3fa286744eab6b0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Oct 31 21:11:05 2016 +0100

    demux: mp4: esds heap buffer ofw (fix #17856)
    
    cherry-picked from d3e233c59fdbc7511e22a966a5cfebcde7dc9ba9

commit ed12d84559ae4be21c3e3fbe220e02bc13cb69c7
Author: Sebastian Ramacher <sramacher@debian.org>
Date:   Sun Oct 30 12:20:31 2016 +0100

    configure: fix typo in ALTIVEC_CFLAGS assignment
    
    This looks like a typo to me and should have been ALTIVEC_CFLAGS instead.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 7994ce346dfba741fa0fc535145dfef02e8abda0)

commit 90a19d81074e58f56935658443fb356be6ab9753
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 28 17:59:38 2016 +0300

    smf: fix division by zero
    
    (cherry picked from commit edc9d41049db000d9a3d4c6453037b6e0b3cab1d)

commit 000f10b585c255c253f76a4178fd26575f677121
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 28 17:11:55 2016 +0300

    xa: fix divisions by zero
    
    (cherry picked from commit bc835c8fcac52e7e9d9d371324abbee95bca59a0)

commit 94065b51e99874ea536ff10769366288353c27ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 28 16:39:28 2016 +0300

    smf: fix leak on invalid input
    
    (cherry picked from commit e1f4fa7bc0b1232444a3d324b004b0d6ea4c8b7b)

commit 83e8b6054eef002758140e64bffbb45003c58cea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 28 16:15:55 2016 +0300

    voc: fix division by zero
    
    If buf[3] == 0xff, i_channels wraps to 0, and i_rate triggers SIGFPE.
    
    (cherry picked from commit 5a0122f3df98b4eb3bcd2976acf4eefca1731731)

commit 315d4c0a42479363b5027dfad59491c1c312f872
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 25 15:04:41 2016 +0300

    http: simplify and fix size handling (fixes #17540)
    
    The Content-Range header line indicates the size of the underlying
    resource; it has bearings on the size of the response body at the
    HTTP protocol level.
    
    Also the start offset in the Content-Range should be ignored, as
    overriding it can lead to unexpected situations in VLC. Only a broken
    server will not match the requested value anyway.

commit 953263bf5839054b162fe114db6b132521747bf7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 21 16:08:25 2016 +0300

    skins2: do not generate (broken) default.vlt on error
    
    (cherry picked from commit 096c3544b55a88ca07ece9a5624671484e362945)

commit 43f830f9e81e2534c42496005391104005cab6d6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 21 16:05:02 2016 +0300

    skins: implement silent mode make
    
    (cherry picked from commit 0bdddcb8dcebe18cecfeed5805ceaaf50432a658)

commit 75b4a84c0b7061807f13a734331287d24dd46ffe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 21 16:04:21 2016 +0300

    skins: remove timestamp from default.vlt (fixes #4562)
    
    (cherry picked from commit 7b4bcf17d1f493c2d49f74ff573591e662a03924)

commit cac50d90bae28f7125a46422cc6d497f316c9ad6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 21 15:35:18 2016 +0300

    skins2: do not save user and group names in the default skin
    
    (cherry picked from commit 79bed730df73ff241545e4ffe85ed293bf52adc1)

commit d0339fa10a29e78155a9d32a9c0ecf6cfda10a4d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 21 15:56:51 2016 +0300

    Revert "Build default.vlt in a reproducible fashion (fixes #4562)"
    
    This broke error propagation.
    
    This reverts commit ceacef3bbb0c34d67aa84e6ca91b360cbe2419e5.
    
    (cherry picked from commit 9f2f2165b7f7afa912fdf7ffbe8b3f0db51f687a)

commit 403454dbfb0b0787be650061544c681be28a6d38
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 19 11:35:10 2016 +0200

    codec: aes3: fix 16bps decoding (fix #17522)

commit 653111fb7d354e98365a85e658f72635d30c2183
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Fri Oct 14 15:40:04 2016 +0200

    macosx: Initialize VLCDocumentController in run method
    
    Unfortunately, the way we init in vlc.git does not work.

commit 5ecbf1e0ec5e0f31babb416d818abcc9cdb21d06
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Oct 13 23:03:37 2016 +0200

    NEWS: Mention change regarding resume points

commit 4d863a4987c2d1bfd457eda251d6f0167746a74d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Oct 9 00:41:02 2016 +0200

    macosx: clear resume points as well once the user clear recent items list
    
    (cherry picked from commit a071bc7c4f91274cf78e57335ac7718851eac8c0)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f993307698099cf37a654674b05ce433c775bb63
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Jul 17 00:19:15 2016 +0200

    youtube.lua: debug messages for signature descrambling javascript parsing
    
    (cherry picked from commit ec081ff8c60a4d200f2bf67ab1f03cf525d08ac8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b123f94b8593cf2f97680c96cb0f444e3efa400a
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Sat Aug 20 06:02:27 2016 +0000

    video_splliter: Add XCB flags for panoramix.
    
    This patch fixes this build error.
    
    video_splitter/.libs/libpanoramix_plugin_la-panoramix.o: In function `CountMonitors':
    modules/video_splitter/panoramix.c:352: undefined reference to `xcb_connect'
    modules/video_splitter/panoramix.c:354: undefined reference to `xcb_connection_has_error'
    modules/video_splitter/panoramix.c:357: undefined reference to `xcb_get_setup'
    modules/video_splitter/panoramix.c:359: undefined reference to `xcb_setup_roots_iterator'
    modules/video_splitter/panoramix.c:360: undefined reference to `xcb_screen_next'
    modules/video_splitter/panoramix.c:407: undefined reference to `xcb_disconnect'
    modules/video_splitter/panoramix.c:407: undefined reference to `xcb_disconnect'
    modules/video_splitter/panoramix.c:407: undefined reference to `xcb_disconnect'
    
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a854dc7108cdb70b5f58a1232868c74ad3620c99)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6255459e6d291cd367e0be5e0f197f65954c0127
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 29 11:40:29 2016 +0200

    codec: adpcm: set IMA WAV max channels
    
    only ADPCM EA allows > 2 channels
    
    (cherry picked from commit 2bf06d17054ec3e23482aa02b6a6e10039cbde82)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8f5dbde4055ed0196f413dae58d64c0047817815
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 29 11:35:32 2016 +0200

    codec: adpcm: check min samples prior read
    
    (cherry picked from commit 4c17d06b91323a175c676e9878b3a263bf66055b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 606431b7ce1bf006b094fd91160625bf9230f6fe
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 29 11:32:07 2016 +0200

    codec: adpcm: check computing of samples per block
    
    we should not trust block size
    
    (cherry picked from commit 7f2eeddd05ec8d889ad9bda67c440db408055834)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d171e2d7ea8ea2e71fc1850a04d10dccf66b1221
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 29 11:11:50 2016 +0200

    codec: adpcm: unify max channels checks
    
    (cherry picked from commit 301753e2a012f501de915feeb7ad4360e50f73f1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3f179bce7c325f54d888f905022588a16a2a562b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Sep 29 11:11:24 2016 +0200

    Update NEWS for 2.2.5

commit b9803429fb7e94682a962ac5d633b1e66acbe6c6
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 29 11:00:21 2016 +0200

    codec: adpcm: check max channels
    
    (cherry picked from commit bd85994455bd35e7e83816e65d84b0a873d8ca8d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d08c1bfb2329b898650d6c247002106245de7c8b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Sep 29 10:38:40 2016 +0200

    codec: adpcm: adpcm_ms: use samples count for extracting data (refs #17448)
    
    Buffer is allocated according to samples count, but a fixed
    depends on header which max only to 2 when
    reading, and allow overflowing
    
    (cherry picked from commit ac73e91ba72ce812415ade36a75af441457cd8be)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 57dfd58532ec7086f8cd745969f9203a260823cf
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Sep 27 09:26:29 2016 +0200

    avcodec: fix palette propagation
    
    closes #9940, #14975

commit 586b781174d08be8a0a580816c6e9bc3f677c47f
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Sep 27 08:10:26 2016 +0200

    macosx: Fix warning about incorrect usage of negator
    
    Not cherry picked from 88b85b54fc0e65b4cdafa2d43cd5fd6283d61bcb

commit 52807c8c4eb88022c619e88dd13c7d8cb7007460
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Sep 17 20:59:41 2016 +0200

    macosx: Reset scrolling direction with timer, decrease timeout
    
    Reset the fixed scrolling direction with a timer and decrease
    timeout to 0.4 seconds. This makes switching between horizontal
    scrolling and vertical scrolling a bit easier.
    
    (cherry picked from commit a3005d3db8c57592d2dc6b907e693875e0f03c27)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f318ffc4480153b7b8b75947ca95f1d03a597965
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Sep 17 20:43:51 2016 +0200

    macosx: Refine scroll wheel event forwarding
    
    Starting with Sierra, the platform emits more fine granular
    scrolling events than before. Now, the deltas from each event
    are accumulated and forwarded after they reach a certain threshold.
    
    close #17349
    
    (cherry picked from commit 3eb0885f611df44e6ed336920bbe7e011a10c589)
    (cherry picked from commit 64a447df3f02f2e5628498ff2c01116174cd042f)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 620c9cef9d7c237eb3bbb87a7456b9295cdf0629
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 15 14:11:42 2016 +0300

    ftp: fix scan string injection
    
    (cherry picked from commit 09a26099cfd8d708d40127d4faa64ade01f36775)

commit 5d7ebf65718e36f6356761175db2f5f850c4898c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Aug 30 17:12:07 2016 +0200

    contribs: qt: Disable PCH

commit 0e205d42bae881f4218564f6193dc06ecbb5ee71
Author: Rinat Ibragimov <ibragimovrinat@mail.ru>
Date:   Mon Jun 13 19:53:02 2016 +0300

    vdpau: fix video scaling
    
    There is a possible issue in VdpVideoMixerRender [1] call. While
    destination_rect is set to dst_rect, which is fine, destination_video_rect
    parameter is set to NULL, which makes video keep the size, while it's
    expected to fill the entire output rectangle.
    
    Proposed patch sets destination_video_rect to dst_rect, which makes
    video scale when player window is resized.
    
    [1] http://http.download.nvidia.com/XFree86/vdpau/doxygen/html/group___vdp_video_mixer.html#ga62bf3bf8c5f01322a03b07065c5ea3db
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    
    There has been no clarifications about the intended behaviour of NULL
    destination_video_rect in the VDPAU API specification; presumably the
    behaviour of the NVIDIA driver is intended. But the VA-GL driver has
    had a different behaviour. This patch avoids relying on either by
    setting the destination_video_rect explicitly always since it is not
    clear what is correct.
    
    (cherry picked from commit 7df48e30dc0f176cb86da361faa1da718593bc29)

commit d5427879e56147bc9c7316d3cbb757ec013624c1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Aug 24 12:49:05 2016 +0200

    configure: check only for adequate math optimizations (fix #16907)
    
    Manually cherry-picked from 273ec260a1f1912d39c2180db642f24127b8f6b7
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit b2967d6b7f045f1c7cdf6a6c19115553d5e2038c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 29 22:46:27 2016 +0300

    m4: helper for -f flags
    
    (cherry picked from commit 03df6aeeddbd807599847a6f8722ae7d03d31e96)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit db24511e60967e0208346d3f1a2288bbc3b6d7f7
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Aug 8 19:18:54 2016 +0200

    run_vlc.sh: Don't fail when running without a TTY
    
    This should help the test to pass on our buildbots
    
    (cherry picked from commit 40f53204f88eb07e508380a88783d075a9eac33b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit dd30a50f5fb27173b0eb4943857a17a8db409129
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed Aug 24 10:29:38 2016 +0200

    share: Fix make distcheck

commit cce7b512a37dbb9e93934aa2af61d7773ea0ff51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Aug 23 10:49:58 2016 +0200

    Update NEWS for 2.2.5

commit 85a64e10d665edf8a29526543b5c6fd4923437fd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Aug 22 16:52:10 2016 +0800

    demux: mp4: fill fragmented timescale on missing mvhd
    
    Potential divide-by-zero issue.
    Reported-by: Xiangkun Jia (ajax4sec@hotmail.com)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4f12d2a2fd664c63da5cbd60f264167521a926d3
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 16 11:09:20 2016 +0200

    mux: mp4: handle scaled conversion drift (fix #17219)
    
    double loss in both microtime to time scale
    then time scale to microtime
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 7774f801494a39cf340a515f751ad4e354104600
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 16 11:09:19 2016 +0200

    mux: mp4: fix spu duration
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 92ba135b8d2f86bd2c542196a12583f97f741936
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 16 11:09:18 2016 +0200

    mux: mp4: fix edit list / start offsets
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 8b0a359be21c8b66c7f7f5d34b85df3cf6689035
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Jul 24 12:59:20 2016 +0200

    Fix build using old GCC intrinsics
    
    As the 2.2 headers are still using vlc_atomics (picture)
    we cannot have a way to avoid collisions with early
    or late <atomic> inclusion when using GCC >= 4.7
    
    Conditionals in vlc_atomic won't work.
    
    Happens in ProjectM and Qt5.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e8bd39c10be4bf971888d64654cc22a0f1e6c2c2
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Jul 26 16:14:12 2016 +0200

    screen: set the output frame rate based on the fps
    
    Fixes #14646
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5bd216d755c6aff4529d9c1d6ca2e466b3610478
Author: Steve Lhomme <robux4@gmail.com>
Date:   Tue Jul 26 13:15:21 2016 +0200

    direct3d9: don't use any texture filtering when the dimensions are the same
    
    On AMD cards the linear interpolation adds a green line when converting from
    YV12 to RGB even though the dimensions are the same.
    
    Fixes #17062
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 2ca67a601aad476358b0b45dd3f9872cfa567fe5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9511cec1064092a2cb5d65b63f3d917501ad742
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jul 25 23:27:37 2016 +0300

    picture: only include vlc_atomic when needed
    
    <vlc_atomic.h> does not support C++ properly in VLC 2.2.
    This should avoids build breakages in C++ modules.

commit ec34ff174f04d1e81c939ed0325a0073c6f68fce
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 22 13:37:15 2016 +0200

    vlc_atomic: atomic_compare_exchange_strong_explicit takes 5 parameters
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ce8cc916ab43e12b85abd6a1b850f1ccf43319c8
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Jul 22 13:37:14 2016 +0200

    vlc_atomic: atomic_compare_exchange_weak_explicit takes 5 parameters
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 58b64da19c082e128cc92c3d5852c981be9312f3
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Fri Jul 22 13:37:13 2016 +0200

    rdp: Fix build with FreeRDP 2.0.0.
    
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c32dd114a67e51fba4dc06667f8698b46ed80947
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 8 18:31:29 2016 +0200

    contrib: libmad: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 94821a37ff9ab6b133f8a95e5f7ea28c64c3a701)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 76b637f9dc3389a835e29da2bf18653cc436d0a8
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Tue Jul 19 00:21:46 2016 +0200

    lua: Do not compile broken metachannels script
    
    The current metachannels script is broken, as the API it uses was
    deprecated and it's not trivial to migrate to the new API, which uses
    OAuth. This removes it from the makefile so it's not compiled and not
    included in VLC, as a broken script is not useful for the user.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 2bfd9e803684b8d2ff3b1b4b961dd7094f746b35)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4b507dc490ce2b6f2c211d3cf52d8c95ee036c1
Author: Filip Roséen <filip@videolabs.io>
Date:   Sat Jul 16 04:55:02 2016 +0200

    demux/asf: prevent integer overflow in ASF_NextObject
    
    Before returning from ASF_NextObject, the former implementation would
    simply calculate "p_obj->common.i_object_pos + p_obj->common.i_object_size",
    and pass the result to stream_Seek.
    
    Of course this is rather dangerous given that the value of ".i_object_size"
    is populated by simply reading the input stream.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bcdc90fadce053ae56a98d09ed93ffc3c25f1c00)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bdc56822a60c4bf9d876a8ffba61dda96e25e7df
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jul 17 21:56:15 2016 +0200

    NSIS: fix Unquoted Path issue on the uninstaller
    
    Reported by Cyril Vallicari from Ug_0 Security
    
    (cherry picked from commit 0d170a029610bcdf5de6e2eadf5357ce8f2c93b9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 628b1860d2f6bbb5a1dbb2f5b14a6c520a4ccba3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 13 10:53:17 2016 +0200

    extras/tools: prefer to download all packages from v.o
    
    (cherry picked from commit a09dbdefd4d25ee6524f1d1df9be7aaf4d267ae2)

commit f8d59095d810da29f46b67c5d9c8b8faae3cb837
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 13 10:24:14 2016 +0200

    contrib: prefer downloads of glew, upnp, zlib and zvbi from v.o
    
    (cherry picked from commit 31f451a3a1285be5eaad172d749a0eb3fbacc369)

commit df0cc4a64aa1f1068299dc6e4cbb95cb2ab17940
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 3 13:44:40 2016 +0200

    win32: Use -static rather than undocumented --static when linking
    
    Also remove -static-libgcc which is redundant with -static
    
    (cherry picked from commit 56b8d4831c15164df304eae30a758f20ae81ddb6)
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit eea2d9d001caecc57365e06d37ab9458aa2b24a4
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue May 3 13:45:18 2016 +0200

    win32: also statically link libgcc to C++ code
    
    If libtool is dumb then we can be dumber
    
    (cherry picked from commit bd63d6f28d7b6534630bf32a990352e6b9440f4d)
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 9cefe33b9c9f811c48d6726a59fd1bdbd58f45b4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jun 14 15:08:50 2016 +0200

    Contrib: mpeg2, reconf after patching configure.ac
    
    (cherry picked from commit b8692562ff82d82462dbbc889a4298af23a93520)
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 734486e0e3647b13e8bd16ee7156551244cb3bdc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 20 14:28:10 2016 +0200

    Contribs: Only display FTP message when needed
    
    (cherry picked from commit de7421aa03f0861be5178541a4bbcd7d907f3b09)

commit 392c3c604685285df18db754d25f02f69e6055c4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 20 14:22:28 2016 +0200

    Contribs: fix dual-download with wget
    
    (cherry picked from commit 61ba4c1571ee1d1ef77c0b0e492d93bc94b7ee47)

commit 6315b2ca5f41f7eeaaa16489484cc2ba2a108e10
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 20 12:32:16 2016 +0200

    Contribs: move more contribs to VideoLAN mirror
    
    (cherry picked from commit a8d7dae0227505bc8d3050084055cb4117f30daa)

commit 7a45b046f2e398c8cedaa7a3751b5cb9d57b9684
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 20 12:18:44 2016 +0200

    Contribs: use VideoLAN ftp first and then fallback on upstream
    
    (cherry picked from commit 39c72adce6ac939769ea829b7d72558fd31f0f8a)

commit 7394048b906730fdeffd324f1f8c33be46c829f3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 20 12:01:00 2016 +0200

    Contribs: provide a macro to do dual downloading
    
    First from videolan ftp, then original page
    
    There might be a more elegant way of doing so...
    
    (cherry picked from commit 29fc50d7fa68f6318d942b1f3dfa5d7ad75660ff)

commit 82da842e737e9a64f3db8a3b7a0a61c9e4b48ab7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 20 12:15:02 2016 +0200

    Contribs: change contribs URLs on our FTP
    
    (cherry picked from commit ba6c6589d65412c2c2df6f165431544bc6243d70)

commit bc577284e6496b50f8984d4defaa0fb074854731
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Jul 5 12:02:52 2016 +0200

    win32: specific: Include system32 to our dll search path.
    
    (cherry picked from commit 2ec72a2a45b528c85dca958271f002b9fabfd98b)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit c38d9521052fee1f9ec6406e2d7fd76b8154009a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jul 1 13:26:19 2016 +0200

    Win32: modify the LoadLibrary PATHS used
    
    We used to load system libraries without the full path, notably for
    DirectX-related libraries. This is a bad idea if someone puts a
    similarly-named DLL in the VLC folder, because they would be loaded.
    
    Indeed, even if we don't load from CWD, we still load from the
    application, which could be an issue, if you install a DLL next to
    libvlccore.dll.
    
    Therefore, on modern Windows systems, now LoadLibrary calls are
    completely limited to SYSTEM32; except when loading vlc modules,
    where they are limited to the application folder.
    
    (cherry picked from commit c220ddc927d1a97f72a0c5bf86de56301e3483ad)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fa086405773be54a9e9c59a015f9731990c1f6fb
Author: Shlomi Fish <shlomif@shlomifish.org>
Date:   Sun Jun 26 21:56:08 2016 +0200

    Contribs: fix libmad sound issue
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 93b8a9a6185a018caad2e6ef929a63e53b31b789)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 433fc7ad5f6ea5170d75f91719e37db546886dd0
Author: Mark Becwar <mark@thebecwar.com>
Date:   Tue Jun 21 21:33:07 2016 -0400

    Fix Malformed Windows VERSIONINFO structures. (#17090)
    
    The VERSIONINFO structures supplied in the Windows resource files have a mismatch between the codepage specified in the translation table, and the codepage specified in the string tables. This patch fixes both of the rc.in files that are broken.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e61c12c60b8cc88ae086ea57bf5da2c77c9ff93b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 83baa49871d4c437707d8dd32134d2729999cdf3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Jun 24 03:50:24 2016 +0200

    youtube.lua: update signature descrambling javascript parsing
    
    Quick fix as definitions now start on the beginning of lines
    
    (cherry picked from commit feb851a03443d8f8d3068107a31995bf2158d881)

commit 4c9a5ac7cd9a0586e8feee791ef6013b07b5945a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 21 15:44:24 2016 +0200

    macosx: fix time format overflow if playlist duration is > 24h
    
    (cherry picked from commit 62dfbc3856fbcdec5fa9c592089b3cc8a228b292)

commit d924a937f774805962cbd3cd14729430e14656ca
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Jun 17 16:27:45 2016 +0200

    On the road to 2.2.5

commit b6e93c1cdf2087aeba99b634235212a39bfa5952
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jun 13 20:31:15 2016 +0300

    text: fix decoding of 4-bytes UTF-8 sequences
    
    (cherry picked from commit 221462198b2e32c74cfcb0d0b5645042d7fb3c79)

commit 888b7e89d78e7073075fc0a007d47b93f4570fab
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 1 12:15:19 2016 +0200

    Update NEWS

commit de49c6e2287baa7ef58df5a8c4ff00018076d314
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 17 18:21:55 2016 +0200

    Contribs: update libbluray to 0.9.3
    
    (cherry picked from commit 183da075970e1ffc92d639c0927da34c0656baad)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e5414d581dde7a4e8c0725915a2f9b4f7c914a39
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 31 12:05:26 2016 +0200

    Contribs: make projectM depend on the toolchain.cmake target
    
    (cherry picked from commit 3bfb935677cfe27396bde338fd7d6cb926cd3be6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6245b69426eafebb34819dcd7e08688cb7aed124
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sun May 29 10:39:06 2016 -0400

    extras/tools: bump automake to 1.15
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f9f218118878760df4d9ea8a4c1cee8e3ec5b4bd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 275298004d6ddd96e3ff8ddd88416eacf71d78da
Author: Mathieu Malaterre <malat@debian.org>
Date:   Fri Apr 10 05:54:01 2015 +0000

    Fix links to French TV icons
    
    Control: forwarded -1 vlc-devel@videolan.org
    
    Hi,
    
    Some links pointing to TV icons were broken. Attached patch fixes that.
    Original report: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=782229
    
    Typical output:
    
    [0x1e2ba18] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1e2ba18] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1e2ba18] access_mms access error: error: HTTP/1.1 403 Requested
    target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/4/4b/Logo_de_TMC.gif'
    [0x1e3fbc8] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1e3fbc8] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1e3fbc8] access_mms access error: error: HTTP/1.1 403 Requested
    target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/4/4b/Logo_de_TMC.gif'
    [0x4b52bc8] access_http access error: error: HTTP/1.1 404 Not Found
    [0x4b52bc8] access_http access error: error: HTTP/1.1 404 Not Found
    [0x4b52bc8] access_mms access error: error: HTTP/1.1 403 Requested
    target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/9/98/Public-Senat-LCP-An_logo_2010.png'
    [0x7fd8cc0133e8] access_http access error: error: HTTP/1.1 404 Not Found
    [0x7fd8cc0133e8] access_http access error: error: HTTP/1.1 404 Not Found
    [0x7fd8cc0133e8] access_mms access error: error: HTTP/1.1 403
    Requested target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/9/98/Public-Senat-LCP-An_logo_2010.png'
    [0x3567038] access_http access error: error: HTTP/1.1 404 Not Found
    [0x3567038] access_http access error: error: HTTP/1.1 404 Not Found
    [0x3567038] access_mms access error: error: HTTP/1.1 403 Requested
    target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/3/30/Bfm_tv.jpg'
    [0x1ba7748] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1ba7748] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1ba7748] access_mms access error: error: HTTP/1.1 403 Requested
    target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/3/30/Bfm_tv.jpg'
    [0x1ba7748] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1ba7748] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1ba7748] access_mms access error: error: HTTP/1.1 403 Requested
    target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/3/30/Bfm_tv.jpg'
    [0x1ba7748] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1ba7748] access_http access error: error: HTTP/1.1 404 Not Found
    [0x1ba7748] access_mms access error: error: HTTP/1.1 403 Requested
    target domain not allowed.
    [0x1b3f7a8] main playlist error: no suitable access module for
    `http://upload.wikimedia.org/wikipedia/fr/5/56/Logo_I_tele.png'
    
    Description: Fix broken links
    Author: Mathieu Malaterre <malat@debian.org>
    Bug-Debian: https://bugs.debian.org/
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5bcaf6c90585d6d37263bfa7ad77a31eb2996048)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d2ddf1a2f5c95253a07461db7a50047415a40acb
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Feb 3 19:31:28 2016 +0100

    zsh completion: fix argv passing
    
    (cherry picked from commit c85a2dd8a43e5036614a6a1998a9cddb6c28ca05)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3957dc6a27183272a89d973f218953c9314d77a6
Author: Sebastian Ramacher <sramacher@debian.org>
Date:   Wed Feb 3 18:33:59 2016 +0100

    zsh completion: Add missing newlines
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit 32796b8960efb2421fdb79a46834dad5af1eadc0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5dce56079cbdc6924d16c1ccf004a46dcd9f7234
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat May 28 00:12:02 2016 +0200

    NEWS: mention the CVE number

commit 4789dc903b1592d897cf9690da19590efebb99dc
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 16:45:30 2016 -0400

    l10n: Traditional Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit aa7442fc54ee592e41da6d93f898aa48f45834cc
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 16:44:33 2016 -0400

    l10n: Simplified Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6767ca990f09ea377b207099b11c3a14e5d88a79
Author: A. Regnander <anton_r_3@hotmail.com>
Date:   Fri May 27 16:39:04 2016 -0400

    l10n: Swedish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7602316dfd8b5a293747459d8d39bea6b59c80aa
Author: Marián Hikaník <mhikanik@users.sourceforge.net>
Date:   Fri May 27 16:35:38 2016 -0400

    l10n: Slovak update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 2139c5522cdb696f4f3a7916e4b789f6e989f41d
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 16:33:19 2016 -0400

    l10n: Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e3b70d29dca8e5f208d34e5a1fd4d21390c6b5ab
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 16:28:35 2016 -0400

    l10n: Norwegian Nynorsk update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8ad8b1d5ac37adaa1d74175cb798cb2d6e81c363
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 16:25:39 2016 -0400

    l10n: Norwegian Bokmål update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 11b2336df8a0bbcb4f67203dad84660a76ad7b5b
Author: Rajanikant Kumbhar <rajnikant.kumbhar@gmail.com>
Date:   Fri May 27 15:50:14 2016 -0400

    l10n: Marathi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9eb6705ef848efe0e1a7fb251f886cd3e907c36b
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 15:45:19 2016 -0400

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 76cbc891988a809787331274d11a734cbc6d066d
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 15:40:03 2016 -0400

    l10n: French update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f13bd30dc45e1a559e38d9cceaa5ef0428802a8c
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 15:33:14 2016 -0400

    l10n: Spanish (Mexico) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3cfd02115c5a7912e57aafe269592926652475f7
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 15:29:52 2016 -0400

    l10n: German update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 550db334436591cc628cedacda004ee586d34a13
Author: Benet R. i Camps <bennybeat@gmail.com>
Date:   Fri May 27 15:19:22 2016 -0400

    l10n: Catalan update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bf70e5df6932a4b52eaf92336255f2dd96b8c4f9
Author: VideoLAN <videolan@videolan.org>
Date:   Fri May 27 15:15:16 2016 -0400

    l10n: Bulgarian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 0fc5fad20e9203bf1602e5577815144823efa539
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 18:45:06 2016 +0200

    Update NEWS for 2.2.4

commit c2d2c3698e47402ec36ecc6c8a85781dbd88b6a9
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed May 25 10:00:25 2016 +0200

    adpcm: reject invalid QuickTime IMA files
    
    DecodeAdpcmImaQT() can only decode up to stereo files.
    Fix out of bound write.
    
    Reported by: Patrick Coleman <blinken@gmail.com>
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 458ed62bbeb9d1bddf7b8df104e14936408a3db9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9ec17d122ab12f3b66a81877805f38f9fd295003
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Wed May 25 19:07:51 2016 +0200

    contribs: mad: Don't read past the input buffer
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6bb12484082f6ba6217f57c967984eade05a81a0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5e72b88d69a480ba77518d697ae6519a21abae08
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri May 20 18:02:22 2016 +0200

    contrib: mad: don't create dummy files, use foreign automake
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a4c8871abb0c7ea2458999c918aa0bc6100d12f3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a1b16c53a274e60797ec4eb8150fbe69e6d4d8bb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu May 26 18:36:30 2016 +0200

    Revert "directdraw: in overlay mode we need to use DDSCAPS_FLIP and DDSCAPS_FRONTBUFFER"
    
    This reverts commit 11f7a3676d9717970f7240ba9f251ae47f7c9a08.

commit 3e39b615c113ab8b78eb6679f1a399919f55ff4b
Author: Benoit du Payrat <benoit@videolabs.io>
Date:   Thu May 26 14:49:12 2016 +0200

    Qt: fix the Win32/Qt5 tooltip focus/raising issue
    
    The time tooltip no longer puts the window in front on Windows, when
    compiling VLC with Qt5
    
    Close #12084 #8532
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 93ef5e5b18888dfc1fc2a24dd5e4a0caecfdad17)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b6f63d60f13258576a14d3b5865208bd408ba566
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue May 3 09:32:08 2016 +0200

    skins: fix WIN32 build
    
    Maybe we should add a vlc_get_pathmax.
    
    (cherry picked from commit 9635f7466e550ae7a694e69ee82e5b03ca1438e0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit db521592b7300555c4c6d265735622049b015974
Author: Benoit du Payrat <benoit@videolabs.io>
Date:   Thu May 12 10:32:43 2016 +0200

    Qt: Leaves minimal view on quit to prevent size issues on start
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bf2a7faff9f804cc7c65b72e3714de02910628b7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 509c54c45da31b655b0bcc88d6e196be4a49dfc5
Author: Petter Reinholdtsen <pere@hungry.com>
Date:   Sun May 8 08:09:16 2016 +0200

    Add MIME type video/vnd.mpegurl to desktop file.
    
    The MIME type is used by The Norwegian National Broadcasting company
    (tv.nrk.no) when configuring it to run an external player.
    
    Solves Debian bug #822245.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e6040034d95dbde33be0cecb228e92bc0725d609)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 527a714cde1f8962bc40188532b8bd0496c0871b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat May 7 19:10:53 2016 +0200

    On the road to 2.2.4

commit 4459e439067265290b0d21f8974a0888e4f9b9cb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 4 20:03:35 2016 +0300

    Fix use of PRI* macros in C++

commit 924a4a596ceba6a99f252f1efe7c048e830e6e8c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 4 20:01:49 2016 +0300

    g711: fix dangling pointer (fixes #16909)

commit 425f4e12ca869d58e74d3edca4ff400b45167b73
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Wed Apr 27 13:47:13 2016 +0200

    Fix Hurd build
    
    theme_loader.cpp contains an unconditional use of PATH_MAX,
    which is not defined on GNU/Hurd to avoid imposing build-time
    limits. This change replaces its use with dynamic allocation of the
    required size.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit daa50fbf8e7d009ff1b224bdc06c7f68dfd61eaf)

commit a6f3a6832f953951e7f6ed39aa11963c1ccdacf8
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Tue Apr 26 20:18:37 2016 +0200

    the Hurd also uses the .so extension for libraries
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 8d99c0fe7d38297aedd336d8712380e8311ba554)

commit fd02e6807d4f1d0802bde74086b912cad6aa3fc7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Apr 27 23:24:13 2016 +0300

    fr: fix nonsensical translation for optical drive

commit 7370183a29c7a69e5561e45656a5c647eb3901bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Apr 26 13:58:46 2016 +0200

    Update NEWS for 2.2.3

commit 848d5609de269d16eb3218549d57ed3baed83497
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Apr 26 11:17:26 2016 +0200

    contrib/sparkle: re-add compilation support for OS X 10.6

commit 2def836a624e226375decea3c08c70fbe6ffaf67
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Apr 26 11:07:56 2016 +0200

    tools/ant: update to 1.9.7 and download it from our server
    
    (cherry picked from commit c1e33a8a3b91f77aaf82592e501683c26fc08177)

commit 648ceb997f2ffe2aceeaa76909bcf292988f033b
Author: Benoît Noël du Payrat <benoitp@localhost.localdomain>
Date:   Mon Apr 25 18:09:00 2016 +0200

    Qt: exiting fullscreen now restores the window to the correct size
    
    Fix #16763
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 59f0489bb482a6d89254c88f7251238e295be90b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 22 11:37:10 2016 +0200

    mux: ts: fix broken SDT table id with fixed tsid (fix #16835)
    
    regression introduced by cbe6eace23b5127594f8563d6a0e05c785247a34
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 56ab9f4216b2e370606bc07d751e2387f852b4e0
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Apr 19 11:54:52 2016 -0400

    vpx: fix segfault on decoding (refs #16836)
    
    (cherry picked from commit f116ca5e75b6723784406a228510cc71da26bf90)
    (cherry picked from commit 6332bce8a3ee811bbc9471d6d6232b5fa6bb3499)

commit 6647fbace2cd26376609698d3aa54aabc0630756
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Mar 4 15:36:36 2016 +0100

    Qt: programmaticaly check module prefix in profiles
    
    Both mux_ and non mux_ prefixed being listed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1db881503d0dee734747cdc92fff58002b911080
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Mar 4 15:35:14 2016 +0100

    Qt: add missing muxers aliases (fix #12089, #16682)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 27ee9fb952e843d69aff5a2117792d082d615731
Author: Benoit du Payrat <benoit@videolabs.io>
Date:   Wed Apr 13 15:03:40 2016 +0200

    Qt: toggling fullscreen by double click toggles everything
    
    Fix #14064
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 27b241e4cb9c6257a1e68ed2ce034c2333f19d35)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81fc141547d5e970827d73330ce55eb9f8807238
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Apr 13 23:34:21 2016 +0300

    g711: fix leak
    
    Pointed-out-by: Hannes Domani <ssbssa@yahoo.de>
    (cherry picked from commit aa1e892a600a25de31c3b5c633ea9606a06720ec)

commit cea941f04b38f6dbcbef2de50ed01b08b1958073
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Apr 13 22:02:53 2016 +0300

    g711: remove legacy samples limit
    
    There is no point in limitting the number of samples decoded at once.
    The decoder would just iterate and decode the remaining samples
    immediately.
    
    (cherry picked from commit 997470b2f6e0ed40f4b7f9fd38e71ed551cb00de)

commit 653751837bf36c9d87b2eb7196b2a4d0d7f9fb1c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jul 5 19:08:44 2014 +0200

    Contribs: update fontconfig to 2.11.1
    
    (cherry picked from commit a73187b79497f67cb3208189baabc4ade78ee5af)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 8f4aed5ff0a519f62bbda897cdfe280191acf76b
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Wed Mar 9 19:02:43 2016 -0500

    contrib/fontconfig: require at least 2.10.92
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6e44b5d8e23dabed82ddbb9a22e89d1d96c1efa7)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 7c00bd1c530136eafd12f94de418a0fab9f6c91f
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Apr 5 11:38:44 2016 -0400

    l10n: NSIS French update

commit fa7737b03c447b06579b5949565551bd73b12dc2
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Apr 5 11:36:11 2016 -0400

    l10n: NSIS Turkish update

commit ef980344b68cbcda7b6d5811a52aea4e8b881ffe
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Apr 5 11:34:29 2016 -0400

    l10n: NSIS Danish update

commit 907bec0af8e43516d268b1135127d98cd2d8642a
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Apr 5 11:29:26 2016 -0400

    l10n: NSIS Swedish update

commit 6ef3a1ec067febcc3edd4e89cdf168ce2e8d37a7
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Apr 5 11:24:08 2016 -0400

    l10n: NSIS Slovenian update

commit cbc412ddca4f145549d3c5edaea16cc4b5cdf93a
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Apr 5 11:20:23 2016 -0400

    l10n: NSIS: adding Latvian

commit 4ef39d21d1946d1c945a8a1f77061a7029bf7e29
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 10:01:38 2016 -0400

    l10n: Traditional Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3084742bbfdf07e0e3d9f19a74fd680f50b7af47
Author: Dean Lee <xslidian@gmail.com>
Date:   Tue Apr 5 09:59:04 2016 -0400

    l10n: Simplified Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f3c278e33c45685fc7ab1e049fbfaecf8da9eb4e
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Tue Apr 5 09:53:21 2016 -0400

    l10n: Turkish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 10aedf9f85fba15a4ac2ac4343e97e36073944c3
Author: A. Regnander <anton_r_3@hotmail.com>
Date:   Tue Apr 5 09:51:26 2016 -0400

    l10n: Swedish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 832fc6a323180e03f1d427596809d1f2fdb7d00d
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:48:27 2016 -0400

    l10n: Slovenian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8a9d3b1d448867a0315e16a63b644f43f66c7a95
Author: Pasindu Kavinda <pkavinda@gmail.com>
Date:   Tue Apr 5 09:45:59 2016 -0400

    l10n: Sinhala update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 675b59e5e8ce36aacd95bbf07523f6304bf54283
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Tue Apr 5 09:41:27 2016 -0400

    l10n: Russian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit cfbf6464a49f9ecf295b19a09bf06258934456cd
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:40:15 2016 -0400

    l10n: Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3912d0b4de1143554435c6f5c1dd97d7c557f334
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:37:49 2016 -0400

    l10n: Brazilian Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit c7b9d91db0913209b128ff8b1576141a7e63da6c
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:36:45 2016 -0400

    l10n: Polish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1b5820c064b9cb467624a3af6412761610be5754
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:34:23 2016 -0400

    l10n: Occitan update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 475e2462f20c2c84e30ab81e5ece89d3a3648659
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:33:29 2016 -0400

    l10n: Norwegian Nynorsk update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit aa4bb66a848c7fd725769346be8f22d86099a6c7
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Tue Apr 5 09:31:49 2016 -0400

    l10n: Dutch update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d64aed24cdfc616184096e4a903dc7c3ef31ac47
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:30:13 2016 -0400

    l10n: Nepali update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b8c73dcc3ff54298ca3b5ab8cc7113c584d23586
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:28:21 2016 -0400

    l10n: Norwegian Bokmål update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 83676c3387935cf7ab2b5795e346108cc34d340d
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:23:06 2016 -0400

    l10n: Malay update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f600e1c94e3478c96f3ff8546fef0d07efffd750
Author: Rajanikant Kumbhar <rajnikant.kumbhar@gmail.com>
Date:   Tue Apr 5 09:21:10 2016 -0400

    l10n: Marathi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit dd0af8663115d03b57614ab7bf8ba768e5ba25d4
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:20:04 2016 -0400

    l10n: Malayalam update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 39c94ceb4744faadc935770a5ee08401a90ad51c
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Tue Apr 5 09:18:45 2016 -0400

    l10n: Latvian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit de5d4be653a0f99f070c5db573b7e8762439d56f
Author: Mindaugas Baranauskas <embar@super.lt>
Date:   Tue Apr 5 09:17:29 2016 -0400

    l10n: Lithuanian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ff063ebec6baa551bbec70829489114d2f4c06bf
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:14:59 2016 -0400

    l10n: Korean update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit dad6b6202749ddb3405285bd370218a452ee5c46
Author: Yogesh K S <yogesh@karnatakaeducation.org.in>
Date:   Tue Apr 5 09:13:45 2016 -0400

    l10n: Kannada update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6da56897755726dfca987034121064aa9d0f7d7c
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:12:03 2016 -0400

    l10n: Kazakh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 395779cf2bfcc2a71ab71f122478ec7bdcf74ebb
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:11:20 2016 -0400

    l10n: Kabyle update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit cec6e551c395e0b276c854ade50b320c23d95d55
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Tue Apr 5 09:08:49 2016 -0400

    l10n: Japanese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 306276febd1d235cbbebc33dc026a2b9b15e7f46
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Tue Apr 5 09:06:29 2016 -0400

    l10n: Icelandic update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit c3c81cb759eb1faeaa336f4a2f5ecb2137519d33
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 09:00:49 2016 -0400

    l10n: Irish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 81760ca6c2aed1882d71e3be35b396b644965f60
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:58:12 2016 -0400

    l10n: French update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f1a9d07ec86135b927352d693c2f121564fae81f
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:55:43 2016 -0400

    l10n: Finnish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3a734e104870691f440d94651497971e8c5d9e90
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:53:31 2016 -0400

    l10n: Basque update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a5671e8a67252338f2834c0c1b4042c6e599c0a6
Author: David González <pico.dev@gmail.com>
Date:   Tue Apr 5 08:50:51 2016 -0400

    l10n: Spanish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 591f61e038ec734ff97fdaa2d030a322977da8a2
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:48:30 2016 -0400

    l10n: Spanish (Mexico) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit dbe593ed4194dc1d4e801a216521b4aa360d902c
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:46:17 2016 -0400

    l10n: English (United Kingdom) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7abbc386abe2647730bbb0bed552979798b6a58b
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:38:42 2016 -0400

    l10n: Danish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8273999405824f4dc8bc4909f6e2cd66de0b45bd
Author: Aled Powell <aled@aledpowell.com>
Date:   Tue Apr 5 08:34:49 2016 -0400

    l10n: Welsh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 45609cacbbec93f3171637c1cca645beb87d6060
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Tue Apr 5 08:33:55 2016 -0400

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 47db398375fe6d1ef1058d7a3eda266c7ba7edac
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Tue Apr 5 08:32:06 2016 -0400

    l10n: Catalan update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 74be3b3238849d3bbaf1aff2f38c9992f726d42f
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:27:43 2016 -0400

    l10n: Bengali (India) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 5f37aaf65208d47943f5dd7672faf62f35608e9a
Author: VideoLAN <videolan@videolan.org>
Date:   Tue Apr 5 08:22:26 2016 -0400

    l10n: Afrikaans update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 01fb5009d81c4d9629983b5082f73886d5c2b50f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 31 09:07:39 2015 +0200

    SWSCALE: fix compilation with 4.x
    
    (cherry picked from commit 2b23857c68622edda76b72b74aeb3d943ee277c9)
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 348fda699ca59892ccad704a25cb1b11da04df20
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 31 08:19:00 2015 +0200

    Avcodec/swscale: use AV_PIX_FMT consistently
    
    (cherry picked from commit faa7bd357b1f9e07a6ffbc451a188773fad7a275)
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    
    Conflicts:
            modules/codec/avcodec/chroma.c
            modules/codec/avcodec/video.c

commit b35e17ec9dc54812bdece6ec4c693bc70b89dc43
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Mar 29 01:38:22 2016 +0200

    Update PO

commit 40528145da820b3aa223a0ebd2c717154b6dde18
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 9 18:14:01 2016 +0100

    Contribs: update libass to 0.13.2
    
    (cherry picked from commit c7ccd77d115fb10ede5530a2645b122bb7c61ced)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e8a198c08ab7eaa461d413ad21527b12f82b8197
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sun Feb 14 19:12:02 2016 -0500

    contrib/libass: fix pkg-config file when libiconv is not present
    
    Close #16625
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e4c441bfbdf1137cc6f93fa97b307754c8d6a9b6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 29a94eccafa2122e87850647e4033934f4b30cd0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Mar 28 21:52:07 2016 +0200

    MKV: parse "ALBUM" metadata
    
    (cherry picked from commit 723c1accccd179bfa5c701b8d9b6684b74f52d01)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e30957335283e352129e52370c73424903feae34
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Mar 9 17:25:56 2016 +0100

    contrib/live555: update to current version
    
    (cherry picked from commit 8cf54bfeabbbb5d06e0a56c3b84837cbbc3cf778)

commit ef164a6bea527a5500743d48f776c535d2deb6c0
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Mar 10 09:34:37 2016 +0100

    directdraw: more debug info for overlay issues
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 42d180b0dc6ec59f1b4eb7953e039ef28f54b6fd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ca6499dc716c52b3add0d99f002b2c7f343614f6
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Mar 8 16:45:21 2016 +0100

    i420_yuy2: fix the line remaining offset for other YUY2 variants
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 597b2898f56d11281cbe9b2c64d9637afca0d7f0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0d4838c5109fe23cbe74124a2f8df9e921b4584c
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed Mar 9 10:20:12 2016 +0100

    yuy2_i420: only handle visible pixels
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit befae51ad9cc9385e43e1f4e30f43c224e2728ff)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 79908393fc9979e998a885c1a46f9db878ae450c
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed Mar 9 10:20:11 2016 +0100

    yuy2_i420: only adjust the line ending when the line was actually used
    
    --
    must have been tested with samples where the shift was 0
    this fixes http://streams.videolan.org/samples/V-codecs/V422.AVI playing on a I420 surface
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bcf448430b632ce7231624860f262ef8a9620be8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 11f7a3676d9717970f7240ba9f251ae47f7c9a08
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Wed Mar 9 11:16:52 2016 +0100

    directdraw: in overlay mode we need to use DDSCAPS_FLIP and DDSCAPS_FRONTBUFFER
    
    We use DDSCAPS_BACKBUFFER to do overlay. According to the documentation we need
    these 2 flags on the front surface (the only one we have).
    https://msdn.microsoft.com/en-us/library/windows/desktop/gg426110%28v=vs.85%29.aspx#DDSCAPS_BACKBUFFER
    https://msdn.microsoft.com/en-us/library/windows/desktop/gg426110%28v=vs.85%29.aspx#DDSCAPS_FRONTBUFFER
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 351cd5a85ac220b68ba7a1ef3c87ca81d77b7d26)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d28821bb7b81d7af3d74b17865b0b223567c4a4
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Mar 8 16:45:22 2016 +0100

    i420_yuy2: only handle visible pixels
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 736e7e7545a542356b847b3eaf4fdcb61ccf02c9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d67b8d8316c893b0401c45d0e00cd59489c841e2
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Tue Mar 8 16:45:20 2016 +0100

    i420_rgb: only handle visible pixels
    
    fixes a crash similar to #16686 when an RGB output is used instead of YUYV
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e29200cb8858f69d08fc2a9d9929aa309afb164d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f259f0ae96987fac12b7b7692ea6a253c088a009
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Mar 8 14:52:09 2016 +0100

    i420_yuy2: fix using buffer areas not visible
    
    fixes #16686
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bfb5a9ccb1678a3a441b44f5bad535620843238a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c0930ad4902df3bb52110313fd1598a9e4a42488
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Mar 8 14:52:08 2016 +0100

    i420_yuy2: remove useless lines
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ca3e55c7a0bef2e2b5f1eac85a1ef2dfcca0668c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 265a5fb3085a3045f8c08ceb4a85d7e6c4ed9c90
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Mar 7 17:15:15 2016 +0100

    Only add items in the root playlist to the recent elements
    
    (cherry picked from commit e3d09f91ea5f24745d04f3bb8882967857986697)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0fe8ee411b33e08a57f5d8eb9a49d00d21ca1fdf
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 1 18:28:17 2016 +0100

    marq: Force the ar to 1:1
    
    (cherry picked from commit 96f092ac7e180f577ff10385ecc619aba68a3145)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 9c404f4735777527cd8c2a9be6db5c87c554aac0
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Feb 29 09:20:38 2016 -0500

    demux: mkv: add ALAC atom size, tag and tag version to private data
    
    Fixes #16620
    
    (cherry picked from commit 529444308bf7525bf94b9fb2bd2e5d59120aa89f)

commit 59ebef692227234e35c5b6c3de48afcb543c5116
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sat Feb 27 19:33:11 2016 +0100

    Qt: don't change height if widget doesn't change visibility
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 2f0d1f894de37682171fb4c991ef222b9b4a6b2e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 62acb1c14895347233904d8b16e2ff6b024cbcf6
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sat Feb 27 20:53:37 2016 +0100

    transcode: fix double free (fixes #16258)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 22d61da58664cdc8aa59625a6b2e9f0298ac0751)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3d25413706ecb2097b5b0eef4228394a48bed29c
Author: Ancelot Mark Pinto <ancelotpinto@gmail.com>
Date:   Sun Aug 17 19:00:37 2014 +0530

    Qt: fix focus on GotoTime dismiss
    
    Close #7914
    returns highlight focus to main window on Go/Cancel/[Esc] in GotoTime dialogue
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c49c859cfc1e1c150b1d3002eaaba4beaea4dc26)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4693752448c21aa09f8f363d0ad265a612234342
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Feb 27 18:21:18 2016 +0100

    Update-PO

commit 49dad16e093689e57317bf7818adc955efadd267
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Feb 27 18:20:40 2016 +0100

    Update NEWS for 2.2.3

commit e28a7da31fc4a568670b2831a6947099821548e1
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Feb 26 20:21:47 2016 +0100

    Qt: increase height for resume-panel
    
    Needed because hideResumePanel() decreases the height.
    Close #14566
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b1b21338cd195aab1de59d2608a4f90ae7cb5893)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7fd9a335f3c3c68a03b67e647635ed97080eec2b
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sat Feb 27 15:54:09 2016 +0100

    Qt: change height when switching from/to minimal interface
    
    Close #7950
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a8899ae164387d6fd9d6f7ebd220ed70540c0d19)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cc5479e50ea55e92b1ab8c8e61658697cfabbfee
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:39 2016 +0100

    realrtsp: `rtsp_get_answers` (many fixes)
    
    `rtsp_get_answers` would crash/have unexpected behavior in the following
    scenarios:
    
      - remote server sent more than 256 headers (off-by-one write)
      - remote server sent one of the following headers without payload
        - Server
        - Session
        - CSeq
    
    In order to fix the issue a bunch of checks have been introduced, mostly
    boiling down checking to see that `sscanf` succeeds in reading data into
    the destination variable.
    
    A few warnings (`msg_Warn`) have been introduced to help diagnostic
    servers that misbehave.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 786b985ccb2fe0d8210d36625dbe02a2dd1bd87d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fdebbaaaa6e4f592c89b358313446f141b937f3d
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:38 2016 +0100

    realrtsp: minor refactor + bounds check of `rtsp_unschedule_all` and `rtsp_free_answers`
    
    Fixed bounds check in `rtsp_unschedule_field` and `rtsp_free_answers`. Since
    both functions share a common goal a (`static`) helper function has been
    introduced.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b1f9f8758d14e75fefcfd7cde1ee038f6106529f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e1c247513c5142a6abea232bf2b2f86327ec455e
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:37 2016 +0100

    realrtsp: `rtsp_unscheduled_field` => bounds-check + error-check
    
    The previous code would loop forever (in two places) if this function is ever
    invoked, it would also read out-of-bounds if the `scheduled` queue was full.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a312b1499ca1ecfe17d967988d791b5d037fc223)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6426315c9dc10cbf06dfb81d4a047d43ce5955cd
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:36 2016 +0100

    realrtsp: `rtsp_schedule_field` => bounds-check + error-check + diagnostic
    
    The previous code would write out-of-bounds if the answered queue was full,
    since the code expects there to be at least one NULL value among the fields
    (something which is not guaranteed).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit dafabccf5282526e1579ce374ca5be590c26e89d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b03e083241235a0e61753db31ee8f3cd5c823c6c
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:23:29 2016 +0100

    realrtsp: fixed `rtsp_search_answers` (bounds + error-checking)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 94df4c46deb22530d8bd7db328bac74934cee2c6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4db67cd1ee265d3f8d928c2d5a9b4a0fff7d5410
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:34 2016 +0100

    realrtsp: fixed rtsp_send_request to respect bounds of `scheduled`
    
    The previous code would read out-of-bounds if the scheduled queue was full,
    since the code expects there to be at least one NULL value among the fields
    (something which is not guaranteed).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7c5f750b86f0be6f1af5e52a7055cb0df8ff6f23)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 90339fc540970581714e28ef1ee3d4420bb20db6
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:33 2016 +0100

    realrtsp: fixed memcpy potentially reading outside buffer
    
    If `psz_buffer` points to a string equivalent to just "RTSP/1.0", we
    would read 2 bytes outside the buffer when (the removed) `memcpy` was
    invoked.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 64f85e36cb01d98cdaac98d6fe33b0a58531c61b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d049aaff245946da45b584643baab0bf3447f17d
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:32 2016 +0100

    realrtsp: fixed bufferoverflow and off-by-one
    
    - `strchr` can return `NULL`
    - `data` is a pointer to a buffer which has a length that depends on
      the previous read of `Content-Header`.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a9bf85e5fd80489b3e8c1d8badb7d50c90387f6d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aa506dbf5d46c4dd7755f7525653e3ce1f1528ba
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:31 2016 +0100

    realrtsp: fixed endless iteration on unexpected data
    
    Given the below (example) correspondance with a remote-server, the
    module will iterate endlessly since we never move to the next line to
    process.
    
    % nc -l -p 8080 <<EOF
    > RTSP/1.0 200 OK
    > CSeq: 1
    > Server: Real
    > RealChallenge1: foobar
    >
    > RTSP/1.0 200 OK
    > CSeq: 1
    > ETag: hello world
    > Content-Length: 5
    >
    > m=123
    >
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f7f9673a6552c4149384ce71b3c866d210b875d8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c53327384af1f8928ce1207851c9b56c63d10eca
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:30 2016 +0100

    realrtsp: fixed crash on missing ETag + log levels
    
    If the remote server does not include the `ETag` header when in the
    response to the DESCRIBE request, the module would crash due to usage of
    `strlen(session_id)` later on, where `session_id` would be  `NULL`.
    
    % netcat -l -p 8080 <<EOF
    > RTSP/1.0 200 OK
    > CSeq: 1
    > Server: Real
    > RealChallenge1: foobar
    >
    > RTSP/1.0 200 OK
    > CSeq: 2
    > Content-Length: 10
    >
    > helloworld
    EOF
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1831e930bd3052b06f6912b91370cd7b5178730e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bc5bebcc85d526c7771bab3ee7016e3d6f0415c7
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:29 2016 +0100

    realrtsp: fixed crash on unsuccessful DESCRIBE-response that includes `Alert`
    
    If the remote server yields an error on the `DESCRIBE` request, while
    also including an error message the module would crash due to an invalid
    free.
    
    % netcat -l -p 8080 <<EOF
    > RTSP/1.0 200 OK
    > CSeq: 1
    > Server: Real
    > RealChallenge1: DEADBEEF
    >
    > RTSP/1.0 199 OK
    > CSeq: 2
    > Alert: I like turtles
    >
    EOF
    
    The reason being that `alert` will point to the middle of allocated
    memory. Given the sourroundings the original author probably forgot to
    `strdup` the message - even though that is very unnecessary.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 859d6f63e5d65ee7792cb22371e76d3fbd42ea91)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b9a17ae0c4e7c637f86f9eb8f973e699179ad64e
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:28 2016 +0100

    realrtsp: Fixed crash when 'RealChallenge1' is missing from initial server reply
    
    The module would crash if the remote server did not include `RealChallenge1` in
    the headers of the initial reply after establishing a connection. The below is a
    sample testcase:
    
    % nc -l -p 8080 <<EOF
    > RTSP/1.0 200 OK
    > Server: Real
    >
    > EOF
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit af2281d5d2a5cc9234700e794821ba2d02991b6e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c67e02465861ada958ec470a4a8dc995f4dcf5ac
Author: Filip Roséen <filip@atch.se>
Date:   Thu Feb 25 10:12:27 2016 +0100

    realrtsp: replaced stdio-"logging" with `msg_{Err, Warn, Debug}`
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 68d8ea52b22f9bfd66af5e1c3d992b917cd8aa79)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit db73b7f2e11c8994ac0e35ada12d8ed27123025d
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Tue Feb 23 20:13:54 2016 +0100

    qt: prevent infinite recursion
    
    Close #15630
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e93087fa20d7a697c3f93832b6b2085c6bb7dbc3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 73e43a953b40507db0a929ff93fbab3624003edc
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Fri Feb 26 18:39:48 2016 +0100

    direct3d: Fix green lines.
    
    This patch reworks a bit the way we handle textures & surfaces.
    The surface is the size of the decoder buffer (i_width/i_height)
    The texture is the size of the visible picture (i_visible_*)
    StretchRect is now copying only the valuable parts of the decoder
    buffer (ie. it includes offsets & visible_*)
    Fix #16597
    
    (Manually cherry-picked from: 44ed9ffc36cfbce7d178b9f8b93b8bc73373d542)

commit e7788b351c53ca9d11e354b24a6466805d64e31b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Feb 24 08:55:07 2016 +0100

    macosx: respect 'disable-screensaver' option (closes #16670)
    
    Manual backport of e97065eb

commit 862dfd9b2b166dc5a1f7f18b12b62da4f238cfdb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 22 11:04:46 2016 +0100

    i10n: fix de translation
    
    Close #16598

commit 60b6116241d98a74c1dcb68080b63ea527bbf0c2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 22 11:03:20 2016 +0100

    Revert "demux: asf: ignore pts when no delta specified (fix #15090)"
    
    This reverts commit 8aafb5d01dcffdd4ba161c07bbb102f0a608951e.
    
    Close #16594

commit bdd50cc0d7c316d123974ca9ae35c02f550fdc35
Author: Rémi Denis-Courmont <remid@nvidia.com>
Date:   Mon Feb 22 07:17:23 2016 +0200

    avcodec: pass consistent dimensions to hardware decoder
    
    Commit 01c4f44e88bfbb8ecf108c0fe40f3797bddac686 fixed one call site of
    vlc_va_Setup() but left the other one silently broken. This should fix
    decoding with libvdpau-va-gl (untested).
    
    The original regression was introduced by
    commit b71c85b3d88b8d0ad2d4a63bf58ebcd2ad771cbf.

commit 5ba4a08b65e4221f01f577bd105bf50a6868e980
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Feb 19 12:29:41 2016 +0100

    input: stream: fix stack overflow in stream_UrlNew
    
    refs #16651
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c423aea8648f7941e9202039d15a15c74d521b84
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Feb 3 11:29:53 2016 +0100

    win32: fix msi build
    
    Debian dropped winepath /usr/bin symlink:
    http://anonscm.debian.org/cgit/pkg-wine/wine.git/commit/?id=a778a9ba05d57fb6b969d3e21e3cc26e78dc672c
    
    (cherry picked from commit 50b19e4b3446f9f89ce5a996b82335bbed2ef88f)
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 748b744594dbbdc0ec52149c2b6c4b3aca0a22c4
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Feb 18 18:12:43 2016 +0100

    qt4: input_manager: Always reset lastURI when stopping
    
    This allow the resume where you left off feature to kick in when
    starting the playback again, but not when cycling through a playlist
    refs #11704
    
    (cherry picked from commit 285a3efcbb4f64ea4d9812d1f94605cef7c65083)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f44922c97b20d1978623766b15a73675777f5323
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Feb 16 17:20:03 2016 +0100

    qt4: Fix "resume where you left off"
    
    fix #16593
    
    (cherry picked from commit 60399fdf58f7ad61c6e561e0f81cb736cb5413b0)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 5a3eec691847e98d07da40daa1f68c80f2e3fd88
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Feb 18 16:29:45 2016 +0100

    vout: msw: Fix rect_src size
    
    Fixes #16597

commit 866f20b3bf2c4146ccbe7851f967c2742789242c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 18 17:30:59 2015 +0100

    Contribs: update libdvdcss to 1.4.0
    
    (cherry picked from commit 7be25353853ddedec5222ef8b3bb5321c2e22a74)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0481ce1293ba1757485d8eca93d602efb6653715
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Oct 2 20:43:41 2014 +0300

    configure: fix -ldl detection
    
    (cherry picked from commit 53779b3cbab139a53c4ede9f3b16a122bd79c0a4)
    (cherry picked from commit cf33018ec8a5ae02c3575382262392077d866acc)

commit 65da9d81af75d5ea4b4cdecf907a2dd887a265ec
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Feb 12 09:49:52 2016 +0100

    package:win32: allow Play With/Add to Playlist on more than 15 elements
    
    see https://msdn.microsoft.com/en-us/library/windows/desktop/cc144171%28v=vs.85%29.aspx?f=255&MSPPError=-2147217396
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d99f1ab6eb6f567133e35691b6648ff6eedae92d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 77fa2d35092813baaf3992bcb719a794aab16fce
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Wed Feb 10 19:54:46 2016 +0100

    mkv: fix return values of ebml callbacks
    
    stream_Read can return -1 in case of error while ebml read callback returns an
    unsigned.
    
    (cherry picked from commit 565dd315b8855cd364d4757806d96a0014e5c879)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>

commit d2294e93257cfbaf92aadcf084a936fb68fa5dca
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jan 15 22:42:19 2016 +0100

    stream_filter: httplive: fix nested playlist detection (fix #16395)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3b99925f1525836127f063bbc168b8905f377262
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jan 21 15:29:31 2016 +0100

    Contribs: D3D11, use a defined HASH
    
    (cherry picked from commit 2bd38c9f6f47904c12759a3185517cd72dec8761)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 84cbf4326f20f52711b20a7b4495d4f8979ccc8b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 20 15:32:42 2016 +0100

    Contribs: libmpeg2, do not use AC_C_ALWAYS_INLINE
    
    (cherry picked from commit 179f76d0b3f02a5b6e29c7d36799129afc6f1e37)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit acf1f087c0a14e58e065bc9bcdd26b1581f220df
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 20 15:28:48 2016 +0100

    Contribs: dca, do not use AC_C_ALWAYS_INLINE
    
    (cherry picked from commit 27adc2344b513d6cd7f27ef50269a3f728e8c648)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 7f987171458ec33981694d2069cabc1777323810
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 20 15:25:59 2016 +0100

    Contribs: a52dec, do not use AC_C_ALWAYS_INLINE
    
    (cherry picked from commit c61b24a704d7d63bd1576406e7289c200b0dfeda)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 0d6ecd7f1da4f84b8059d887024e7036effa1323
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Feb 8 14:32:02 2016 +0100

    contribs: Update fontconfig URL

commit f6e00a5bcf6450cf762ba150e285dff0b6a470cf
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Feb 7 17:25:47 2016 +0100

    macosx: Fix potential crash in media information panel
    
    This is changes in git as well already.

commit 499a7e4f269a6b218a6c9050fe3e731a91c3413b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Feb 6 13:11:08 2016 +0100

    On the road to 2.2.3

commit b442adbeec75aaf03b69eac60234a21d3f1ddd5d
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Jan 28 20:08:00 2016 +0100

    skins2: fix maximizing a window in a multi-screen context.
    
      The current screen in a multi-screen config is chosen to
      maximize the window instead of the default main screen.
    
      This fixes trac #16500
    
    (cherry picked from commit b6603b4c8cdcd93e8d64f686c708e5fe3beb724c)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 3bc3f2bcde73240e059dfe78bad225589d1b49a4
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 1 15:34:17 2015 +0100

    skins2: kill some warnings
    
    (cherry picked from commit 60aae68d2779ec644946bcd1cab1cc11971f4086)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit f8c9253342bda0647658b63fb35312602f11ebe9
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sun Dec 6 22:56:30 2015 -0500

    contrib/shout: disable openssl functionality
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 475671ea0e382cdae9c13893012053d646c5c349)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 10b4e1779f9b145130cdf479f160e8d008753569
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Jul 30 12:33:14 2014 +0200

    release doc: actually give the script
    
    (cherry picked from commit baa3a1b760115117f5dc5bbf5912cf1ad02dbc8e)
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit 3306474f7c39541eaabcb616abb804e772108ff4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Apr 13 14:58:45 2015 +0200

    Win32: do not package the sdk folder
    
    It is present in the .zip and .7zip since forever
    
    It takes bandwidth and space that is not useful.
    
    (cherry picked from commit 16b6f69f50f5f7d0733203790e01e9f75d5a4446)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6259d80d343c4307b29603b2d88c081c57d68564
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 20 12:09:54 2016 +0100

    Update NEWS for 2.2.2

commit f88e58fbf5d5ce0dd67973c92091ac6ba16a96a6
Author: Thomas Nigro <tn@thomasnigro.fr>
Date:   Mon Jan 18 16:59:49 2016 +0100

    Win32: fix the copying of the plugins in the installer
    
    Also, don't copy the sdk folder
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 93787b31ab3a5df283f14ef271baadd83a54712c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ef9930fcbebdb4ac2d771943ffcb4874ae5ea287
Author: Kornel Lesiński <kornel@geekhood.net>
Date:   Wed Jan 20 11:44:39 2016 +0100

    contrib/sparkle: secure updates
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit f03cb6720e8fcdbaad86893dfcd327baccdf9cac)

commit 4def5bbbff24982ecb379df3c55e2f9f442b6e28
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Jan 14 13:10:15 2016 +0100

    contrib/live555: update version and fetch from v.o instead
    
    Upstream removes the current tarball on every update and therefore breaks VLC's compilation, which is extremely annoying
    
    (cherry picked from commit 2929dada4d63cc865968c2f0d2ab801ee2e24c8a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4d31ee8668dbc7d10f7dafc5b875629487a24f80
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 18 22:19:58 2016 +0100

    Update PO

commit 4235ee1a7837e6e051da110a4e77cd00f7a758e7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 18 21:57:42 2016 +0100

    Welcome to 2016

commit dcaf118eecb68361e93346bee58b013c390014df
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Thu Jan 14 19:48:19 2016 +0100

    avformat: use av_malloc() for io buffer (fix #16379)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7c85e3ed843ec1974569f63d1c8e1456dd705d68)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dc6068d611c8dac7f0062d86b77df45ddfcad309
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jan 15 15:49:47 2016 +0100

    demux: ogg: fix memory leaks
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b651591e9a3fa4932f7e2fe8804c304176dbe3aa)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 02b3f65bf4bf559d024f93e95af633a4811bd58b
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jan 15 15:49:46 2016 +0100

    Qt: don't sort playlist by cover (fix #15372)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c111bfead47e2e2629cb586fca00e9cfef3aad57)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 316b5c5a08617b0746464026febcbe88b7b2be69
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sat Jan 16 14:01:40 2016 +0100

    vobsub: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d11e004ceb785e96b6115114455fd132b1728733)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb70035a4823a1c1d6069f746c5735129f56db74
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jan 16 15:55:33 2016 +0200

    contrib: ffmpeg: do not build the concat protocol
    
    This protocol is now proven insecure and is of no use in VLC.
    
    (cherry picked from commit 2fc4c0c1cd05bf7814e1261f1350d3f52b3ccf1d)

commit 7623225de8be40c91b76a60cf83d0a010a0c1101
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Jan 13 23:03:44 2016 +0100

    youtube.lua: fix artist parsing
    
    It does happen to occasionally break due to random field ordering.
    
    (cherry picked from commit a4ced6b4ece2f97ca89cffe304f04660e1ea9965)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 9b1e1db4c1a6c89ef9fc90f6ce9a78e128e10615
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Feb 18 19:17:47 2015 +0100

    Youtube: improve description parsing
    
    Close #13973
    
    (cherry picked from commit f568fd431f42e1fd21bc6f55af93d119861c54bf)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 3254200fc85a91e537f532c6b72acb022e27c492
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 29 03:46:11 2015 +0100

    lua: remove obsolete preferred-resolution safeguards
    
    These checked for the availability of vlc.var.inherit and
    preferred-resolution at the time they were introduced, for script
    compatibility with older VLC versions. By now it should be safe to
    assume it's always available.
    
    (cherry picked from commit d2d4277c62582aeb6c0ff829f0b4149e50cf798d)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 0e56e9c061cb931eab72a93dcc335025af1da135
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Jan 13 08:24:23 2016 +0100

    youtube.lua: fix title parsing for website changes
    
    Shallow fix only, but improved rationalization
    
    (cherry picked from commit 064449074c771c3b1177cfd8f1a3e2615bdb27a8)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 74f120e8ba327a76ddbd0480775f19f6da4865d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jan 9 20:51:19 2016 +0200

    gnutls: fix double free
    
    (cherry picked from commit 1617e9a8b05a0a06dd6fb51e1653f4c0f5360445)

commit dc6703ead386e05b337ff1747e54bc428be8d178
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jan 8 16:49:13 2016 +0100

    Qt: display the continue playback option in SPrefs
    
    (cherry picked from commit b73f0f971813a454b7f4a28dd8ca6528b5bbe0dd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 07c33e45988e72d4afd9cf1df8b14d23665f9827
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Jan 7 17:22:50 2016 +0100

    demux: ts: check for EAC3 before AC3 logic channels descriptor (fix #16316)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cb24e4f17548c961493a5e1a367ca299624d0cb1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jan 7 18:34:34 2016 +0200

    configure: FFmpeg hwaccel requires libavcodec < 57.10.100
    
    Since n2.9-dev-1400-g31741ae, the VLC avcodec plug-in will fail to
    initialize hwaccel. This is by FFmpeg design.
    
    (cherry picked from commit e57d32f664ff63ead57dca1fed7aedd59edac9fb)

commit bdfc5c8f300f18e6400024a49150d280141e6e8c
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon Jan 4 16:07:54 2016 +0100

    contribs: Fix iconv build when using gcc 5.x
    
    GCC 5.x defaults to -std=gnu11, which changes the __inline keyword
    semantics, causing some iconv functions not to be inlined, but they are
    not declared as exported, thus causing linking to iconv to fail
    
    (cherry picked from commit ba25882ce80553dc098f41d39cada8eaf9587f32)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 40e58b57fa46a2d611f00395da500f9f1b88e388
Author: Andreas Hartmetz <ahartmetz@gmail.com>
Date:   Sun Jan 3 14:33:39 2016 +0100

    Make ALSA devices without description appear in Qt4 config.
    
    If an /etc/asound.conf or $HOME/.asoundrc creates devices, those do not have a
    description (a null pointer is returned). Relatedly, redefining the "default"
    device results in it being listed without a description, thus disabling the
    code that adds "default" WITH a description.
    Possibly fixes other problems where ALSA devices with a NULL
    description are disregarded. In Qt4 config, the NULL check is in
    StringListConfigControl::finish().
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a5fb9f78f3dbf087eed3744db15a3cb9301b92e0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 02f59c2da162140bf18fde2d4b5faa80baec4ab8
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 22 11:58:39 2015 +0100

    Contribs: update live555
    
    (cherry picked from commit f8d477943052c336ca9953ea8566ab56daddf832)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
